function SiegeCarbine(actor)
	local gun = ToAHuman(actor).EquippedItem;
	if gun ~= nil then
		local gun = ToHDFirearm(gun);
		local magSwitchName = "Magazine Siege Carbine";
		if gun.Magazine == nil or (gun.Magazine ~= nil and gun.Magazine.PresetName ~= magSwitchName) then
			gun:SetNextMagazineName(magSwitchName);
			gun:Reload();
			gun.RateOfFire = 1800;
			gun.ShakeRange = 12;
			gun.SharpShakeRange = 12;
			gun.Sharpness = 2;
		end
	end
end

function PurgeCannon(actor)
	local gun = ToAHuman(actor).EquippedItem;
	if gun ~= nil then
		local gun = ToHDFirearm(gun);
		local magSwitchName = "Magazine Purge Cannon";
		if gun.Magazine == nil or (gun.Magazine ~= nil and gun.Magazine.PresetName ~= magSwitchName) then
			gun:SetNextMagazineName(magSwitchName);
			gun:Reload();
			gun.RateOfFire = 600;
			gun.ShakeRange = 1;
			gun.SharpShakeRange = 1;
			gun.Sharpness = 1;
		end
	end
end

function Create(self)
	self.bFired = false;
	self.Sharpness = 2;
end

function Update(self)

	if self:IsActivated() then
		if self.Magazine ~= nil and self.Magazine.RoundCount > 0 then
			if self.Sharpness == 1 then
				if self.bFired then
					self:Deactivate();
				else
					self.bFired = true;
				end
			end
		end
	else
		self.bFired = false;
	end
end