function NadeMode(actor)
	local gun = ToAHuman(actor).EquippedItem;
	if gun ~= nil then
		local gun = ToHDFirearm(gun);
		local magSwitchName = "Magazine Nade NullR";
		if gun.Magazine == nil or (gun.Magazine ~= nil and gun.Magazine.PresetName ~= magSwitchName) then
			gun:SetNextMagazineName(magSwitchName);
			gun:Reload();
			ToHDFirearm(gun).bNadeMode = true;
			ToHDFirearm(gun).FakeFuzeTimer:Reset();
			ToHDFirearm(gun).FullAuto = true;
		end
	end
end

function GunMode(actor)
	local gun = ToAHuman(actor).EquippedItem;
	if gun ~= nil then
		local gun = ToHDFirearm(gun);
		local magSwitchName = "Magazine Repellor";
		if gun.Magazine == nil or (gun.Magazine ~= nil and gun.Magazine.PresetName ~= magSwitchName) then
			gun:SetNextMagazineName(magSwitchName);
			gun:Reload();
			ToHDFirearm(gun).bNadeMode = false;
			ToHDFirearm(gun).FakeFuzeTimer:Reset();
			ToHDFirearm(gun).FullAuto = false;
		end
	end
end
