function SetSemi(actor)
	local gun = ToAHuman(actor).EquippedItem;
	if gun ~= nil then
		local gun = ToHDFirearm(gun);
		if gun ~= nil and gun.Sharpness ~= 1 then
			gun.RateOfFire = gun.RateOfFire / 2;
			gun.Sharpness = 1;
		end
	end
end

function SetAuto(actor)
	local gun = ToAHuman(actor).EquippedItem;
	if gun ~= nil then
		local gun = ToHDFirearm(gun);
		if gun ~= nil and gun.Sharpness ~= 2 then
			gun.RateOfFire = gun.RateOfFire * 2;
			gun.Sharpness = 2;
		end
	end
end

function Create(self)
	self.bFired = false;
	self.Sharpness = 2;
end

function Update(self)

	if self:IsActivated() then
		if self.Magazine ~= nil and self.Magazine.RoundCount > 0 then
			if self.Sharpness == 1 then
				if self.bFired then
					self:Deactivate();
				else
					self.bFired = true;
				end
			end
		end
	else
		self.bFired = false;
	end
end